Ubuntu

unity-2d-places crashed with SIGSEGV in QUrl::operator=()

Reported by Alexandr on 2011-10-02
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unity-2d
Critical
Unassigned
unity-2d (Ubuntu)
Medium
Unassigned

Bug Description

Details to me are unknown

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: unity-2d-places 4.12.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
ApportVersion: 1.23-0ubuntu2
Architecture: i386
Date: Sun Oct 2 17:03:36 2011
ExecutablePath: /usr/bin/unity-2d-places
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcCmdline: /usr/bin/unity-2d-places
ProcEnviron:
 SHELL=/bin/bash
 LANG=ru_RU.UTF-8
SegvAnalysis:
 Segfault happened at: 0x56343a <_ZN4QUrlaSERKS_+570>: lock incl (%eax)
 PC (0x0056343a) ok
 source "(%eax)" (0x00003797) not located in a known VMA region (needed readable region)!
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: unity-2d
StacktraceTop:
 QUrl::operator=(QUrl const&) () from /usr/lib/i386-linux-gnu/libQtCore.so.4
 QDeclarativeError::operator=(QDeclarativeError const&) () from /usr/lib/i386-linux-gnu/libQtDeclarative.so.4
 QDeclarativeError::QDeclarativeError(QDeclarativeError const&) () from /usr/lib/i386-linux-gnu/libQtDeclarative.so.4
 QDeclarativeExpression::error() const () from /usr/lib/i386-linux-gnu/libQtDeclarative.so.4
 ?? () from /usr/lib/i386-linux-gnu/libQtDeclarative.so.4
Title: unity-2d-places crashed with SIGSEGV in QUrl::operator=()
UpgradeStatus: Upgraded to oneiric on 2011-10-02 (0 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (nautilus:2287): Gtk-CRITICAL **: gtk_action_set_visible: assertion `GTK_IS_ACTION (action)' failed
 (nautilus:2287): Gtk-CRITICAL **: gtk_action_set_visible: assertion `GTK_IS_ACTION (action)' failed
 (nautilus:2287): Gtk-CRITICAL **: _gtk_timeline_rewind: assertion `GTK_IS_TIMELINE (timeline)' failed

Alexandr (i-pa2-mail) wrote :

StacktraceTop:
 ref (this=0x3797) at ../../include/QtCore/../../src/corelib/arch/qatomic_i386.h:120
 operator= (url=..., this=0xa4d9a90) at io/qurl.cpp:5978
 QUrl::operator= (this=0xa4d9a90, url=...) at io/qurl.cpp:5974
 QDeclarativeError::operator= (this=0xbfb9222c, other=...) at qml/qdeclarativeerror.cpp:117
 QDeclarativeError::QDeclarativeError (this=0xbfb9222c, other=...) at qml/qdeclarativeerror.cpp:104

Changed in unity-2d (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
Gerry Boland (gerboland) on 2012-03-05
visibility: private → public
Changed in unity-2d:
importance: Undecided → Critical
milestone: none → 5.8
Didier Roche (didrocks) on 2012-03-23
Changed in unity-2d:
milestone: 5.8 → 5.10.0
Gerry Boland (gerboland) wrote :

Comparing stacktraces, this appears to be a duplicate of bug 831663 as both triggered in similar fashion by DeclarativeDragItem::released

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers